using UnityEngine;
using System.Collections;

public class Shaman : MonoBehaviour {

	public Animator animator;

	public void StopDancing(){
		animator.Play ("Idle");
	}

	public void StartDancing(){
		SwitchAnim();
	}

	void OnMouseUpAsButton(){
		//CHECK: if (){
		SwitchAnim();
		//}
	}

	void SwitchAnim(){
		Debug.Log ("SWITCH TO NEXT ANIM");
		animator.Play ("Dance 1"); // TODO: switch to the next anim
	}

}
